/*Main styles*/
@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

:root {
      --main-brand-color:rgb(156, 146, 0); /* main brand colour */
      --secondary-color: rgb(68, 67, 67); /* background colour 1 */
      --tertiary-color: rgb(145, 145, 145); /* background colour 2 */
    }

*,::after,::before{
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}
html {
    overflow-x: hidden;
    scroll-behavior: smooth;
    scroll-padding-top: 80px; /* adjust based on navbar height */
}
li{
    list-style: none;
}
a{
    text-decoration: none;
}

body{
    font-family: 'Poppins',sans-serif;
    color: white;
    line-height: 1.6;
    font-size: 16px;
    
}
section{
    min-height: 100vh;
    min-width: fit-content;
    padding: 2rem 1rem;
}
img{
    max-width: 100%;
    height: auto;
}

/* scrollspy extra */
section:nth-child(even){
    background-color: var(--tertiary-color);
    color: #f8f8f8;
}
section:nth-child(odd){
    background-color: var(--secondary-color);
    color: #f8f8f8;
}
hr{
    width: 50%;
    margin: auto;
    border: 2px solid var(--main-brand-color);
}

/*HEADER AND NAVIGATION SECTION*/
nav{
    position: fixed;
    left: 0px;
    right: 0px;
    background-color: var(--main-brand-color);
    padding: 0.4rem 0;
    z-index: 99;
}
nav img{
  width: 4.4rem;
  height: 4.4rem;
  border-radius:20%;
}
.main-nav{
    max-width: 1070px;
    margin: 0 auto;
    padding: 0 15px;
    display: flex;
    align-items: center;
    justify-content: space-between;
}
.navbar{
    display: flex;
}
.nav-item{
    padding: 0 5px;
}
.nav-link:hover{
    background-color:var(--secondary-color);;
    border-radius: 20px;
}
.nav-link{
    color: white;
    font-size: 1rem;
    padding: 0 0.5rem;
    font-weight: 300;
}
.sidebar{
    position: fixed;
    top: 0;
    right: 0;
    height: 100vh;
    width: 250px;
    z-index: 999;
    background-color:rgba(129, 120, 120, 0.384);
    backdrop-filter: blur(10px);
    box-shadow: -10px 0 10px rgba(0, 0, 0, 0.1);
    display: none;
    flex-direction: column;
    align-items: flex-start;
    padding-top: 1.3rem;
}
.sidebar li{
    width: 100%;
    padding: 0 30px;
    height: 10%;
}
body.sidebar-open{
    overflow: hidden;
}
.sidebar a{
    width: 100%;
}
.menu-button{
    display: none;
}
@media(max-width: 800px){
    .hideOnMobile{
        display: none;
    }
    .menu-button{
        display: block;
    }
}
@media(max-width: 400px){
    .sidebar{
        width: 100%;
    }
}
svg{
    fill: var(--tertiary-color);
}
svg:hover{
    fill: var(--secondary-color);
}
/* INTRO SECTION */
#home{
    background-image: url(./images/Cake1.jpg);
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    min-height: 100vh;
    width: 100%;
    text-align: center;
    display: flex;
    justify-content: space-between;
    align-items: center;
    font-size: 110%;
    color: white;
}
#home h3{
    margin: 1.5vh 0;
}
#home hr{
    width: 50%;
    min-width: 270px;
}
#home p{
    margin: 0 20%;
}
/* MENU SECTION */
#menu{
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    text-align: center;
    min-height: fit-content;
    padding: 30px 0;
}
#menu h2{
    margin-top: 4%;
    border-bottom: 1px solid var(--main-brand-color);
    width: 30%;
}
.container{
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 100%;
}
@media(max-width:800px){
    .container{
        display: flex;
        flex-direction: column;
    }
    #menu img{
        width: 30%;
    }
    #menu h2{
        width: 50vw;
    }
    #menu .menubutton{
        width: 100vw;
    }
}
.item{
    padding-top: 2%;
}
#menu img{
    width: 70%;
}
button{
    min-height: 40px;
    border-radius: 10px;
    padding-left:2%;
    padding-right: 2%;
    box-shadow: none;
    border:0 solid;
    color: white;
    background-color: var(--main-brand-color);
}
button:hover{
    color: var(--main-brand-color);
    background-color: rgb(11, 228, 47);
    cursor: pointer;
} 
a{
    text-decoration: none;
    color:wheat;
}

.item:hover .orderbutton{
    transform: scale(1.05);
    transition: 0.3s ease-in-out;
}
#menu .menubutton{
    width: 50vw;
    margin: 10px auto;
}
/*ABOUT SECTION*/
#about{
    height: 80vh;
    min-height: fit-content;
    text-align: center;
    padding-top: 30px;               
}
.about-content{
    width: 80vw;
    margin: 4rem auto;
    display: flex;
    justify-content: center;
    justify-content: space-evenly;
    align-items: center;
}
.about-item{
    width: 40%;
}
@media(max-width:800px){
    #about{
        height: fit-content;
        padding: 4% 0;
    }
    .about-content{
        flex-direction: column;
        height: fit-content;
        justify-content: space-between;
    }
    .about-item{
        width: 100%;
        margin: 2%;
    }
}
/* REVIEWS SECTION */
#reviews{
    height: 94vh;
    min-height: fit-content;
    text-align: center;                
    padding: 50px;
    align-items: center;
    justify-content: center;
    justify-content: center;
}
#reviews img{
    width: 40%;
}
.reviews-slide{
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    align-items: flex-start;
    margin-top: 1rem;
}
.reviews-item{
    width: 20%;
    margin: 2.1rem;
}
@media(max-width:800px){
    .reviews-slide{
        flex-direction: column;
    }
    .reviews-item{
        width: 80%;
    }
}
/* CONTACT SECTION */
#contact{
    height: 70vh;
    min-width: fit-content;
    display: flex;
    justify-content: center;
    justify-content: space-evenly;
    align-items: center;
    text-align: center;
    flex-direction: column;
}
.socials{
    width: 70vw;
    display: flex;
    align-items: center;
    justify-content: center;
    justify-content: space-around;
    padding: 0.1rem;
}
.fab{
    font-size: 4rem;
    color: var(--main-brand-color);
    text-align: center;
}
.fab:hover{
    transform: scale(1.15);
    transition: 0.2s ease-in-out;
}
.fa-whatsapp:hover{
    color: rgb(19, 230, 19);
}
.fa-facebook:hover{
  color: #0502b3;
}
.fa-instagram:hover{
  color: #f809e4;
}
.outro{
    display: flex;  
    justify-content: center;
    align-items: center;
    justify-content: space-evenly;
}
.outro-item{
    margin: 0 2rem;
    width: fit-content;
}
@media(max-width:900px){
    .outro{
        flex-direction: column;
        height: 30%;
        font-size: large;
    }
    .outro-item{
        width: 80%;
    }
}
#creator{
    font-size: 0.8rem;
}